View Issue Details

IDProjectCategoryView StatusLast Update
0030434Open CASCADEOCCT:Visualizationpublic2019-02-12 09:40
Reporterosa Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.4.0Fixed in Version7.4.0 
Summary0030434: Visualization, TKV3d - add "NoUpdate" state of frustum culling optimization
DescriptionThere should be 3 states of frustum culling optimization : off / on / no update. The "NoUpdate" state allows to see what structures were culled early when frustum culling was enabled.
Steps To Reproducebugs/vis/bug30434
TagsNo tags attached.
Test case numberbugs/vis/bug30434

Relationships

related to 0030412 closedbugmaster Visualization, TKV3d - add presentation of camera frustum 
parent of 0030494 closedapn Coding Rules - eliminate declaration of OpenGl_Workspace::IsCullingEnabled() 
child of 0024307 closedapn TKOpenGl - efficient culling of large number of presentations 

Activities

git

2019-01-09 18:32

administrator   ~0081692

Branch CR30434 has been created by osa.

SHA-1: 39d2b4eecabe3d753332bbd11b6a552cbcf1ae71


Detailed log of new commits:

Author: osa
Date: Wed Jan 9 17:01:18 2019 +0300

    0030434: Visualization, TKV3d - add "NoUpdate" state of frustum culling optimization

git

2019-01-10 11:02

administrator   ~0081703

Branch CR30434 has been updated forcibly by osa.

SHA-1: 56b0cdf5253aa8d0b7753e46e1a269f6064a27ad

osa

2019-01-10 11:03

developer   ~0081704

Dear Kirill, please review.

git

2019-01-10 11:52

administrator   ~0081707

Branch CR30434 has been updated by kgv.

SHA-1: 3e7e893b600f80b4934119d67e4d33574ef167a5


Detailed log of new commits:

Author: kgv
Date: Thu Jan 10 11:48:50 2019 +0300

    # restore V3d_View::IsCullingEnabled() method; allow vrenderparams -culling shortcut

git

2019-01-10 11:58

administrator   ~0081708

Branch CR30434_1 has been created by kgv.

SHA-1: a4dade3202e7083b778e7d53cc7647429c7dc43e


Detailed log of new commits:

Author: osa
Date: Wed Jan 9 17:01:18 2019 +0300

    0030434: Visualization, TKV3d - add "NoUpdate" state of frustum culling optimization
    
    Frustum culling is now managed by Graphic3d_RenderingParams::FrustumCullingState flag
    and can be switched into Graphic3d_RenderingParams::FrustumCulling_NoUpdate state
    useful for debugging the algorithm.

kgv

2019-01-10 12:00

developer   ~0081709

Please take the patch.

git

2019-01-10 12:06

administrator   ~0081710

Branch CR30434_1 has been updated forcibly by kgv.

SHA-1: 25336092f8669a08fe393d43c80ddf56c823a4ad

bugmaster

2019-01-10 17:04

administrator   ~0081725

Combination -
OCCT branch : CR30434_1 SHA - a4dade3202e7083b778e7d53cc7647429c7dc43e
Products branch : master SHA - 0b9df64a156abd5cbfbfccb15967b46cdabfe1f8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16356.099999999999 / 16388.860000000008 [-0.20%]
Products
Total CPU difference: 7150.010000000036 / 7172.62000000003 [-0.32%]
Windows-64-VC14:
OCCT
Total CPU difference: 17743.484375 / 17753.9375 [-0.06%]
Products
Total CPU difference: 8595.515625 / 8592.53125 [+0.03%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2019-01-12 14:42

administrator   ~0081763

Branch CR30434_1 has been deleted by inv.

SHA-1: 25336092f8669a08fe393d43c80ddf56c823a4ad

git

2019-01-12 14:42

administrator   ~0081764

Branch CR30434 has been deleted by inv.

SHA-1: 3e7e893b600f80b4934119d67e4d33574ef167a5

Related Changesets

occt: master 0e3025bc

2019-01-09 14:01:18

osa


Committer: bugmaster Details Diff
0030434: Visualization, TKV3d - add "NoUpdate" state of frustum culling optimization

Frustum culling is now managed by Graphic3d_RenderingParams::FrustumCullingState flag
and can be switched into Graphic3d_RenderingParams::FrustumCulling_NoUpdate state
useful for debugging the algorithm.

Draw Harness command vrustumculling has been replaced by vrenderparams -frustumCulling.
Affected Issues
0030434
mod - src/Graphic3d/Graphic3d_CView.cxx Diff File
mod - src/Graphic3d/Graphic3d_CView.hxx Diff File
mod - src/Graphic3d/Graphic3d_RenderingParams.hxx Diff File
mod - src/OpenGl/OpenGl_Layer.cxx Diff File
mod - src/OpenGl/OpenGl_Layer.hxx Diff File
mod - src/OpenGl/OpenGl_LayerList.cxx Diff File
mod - src/OpenGl/OpenGl_View.cxx Diff File
mod - src/OpenGl/OpenGl_View.hxx Diff File
mod - src/OpenGl/OpenGl_Workspace.cxx Diff File
mod - src/V3d/V3d_View.cxx Diff File
mod - src/V3d/V3d_View.hxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File
mod - tests/bugs/vis/bug24307_1 Diff File
mod - tests/bugs/vis/bug24307_2 Diff File
mod - tests/bugs/vis/bug25400 Diff File
mod - tests/bugs/vis/bug25679 Diff File
mod - tests/bugs/vis/bug25760_1 Diff File
mod - tests/bugs/vis/bug25760_2 Diff File
add - tests/bugs/vis/bug30434 Diff File

Issue History

Date Modified Username Field Change
2019-01-09 11:11 osa New Issue
2019-01-09 11:11 osa Assigned To => kgv
2019-01-09 11:12 osa Assigned To kgv => osa
2019-01-09 11:12 osa Status new => assigned
2019-01-09 18:32 git Note Added: 0081692
2019-01-10 11:02 git Note Added: 0081703
2019-01-10 11:03 osa Note Added: 0081704
2019-01-10 11:03 osa Assigned To osa => kgv
2019-01-10 11:03 osa Status assigned => resolved
2019-01-10 11:03 osa Steps to Reproduce Updated
2019-01-10 11:52 git Note Added: 0081707
2019-01-10 11:58 git Note Added: 0081708
2019-01-10 12:00 kgv Note Added: 0081709
2019-01-10 12:00 kgv Assigned To kgv => bugmaster
2019-01-10 12:00 kgv Severity minor => feature
2019-01-10 12:00 kgv Status resolved => reviewed
2019-01-10 12:06 git Note Added: 0081710
2019-01-10 12:17 kgv Relationship added related to 0030412
2019-01-10 12:17 kgv Relationship added child of 0024307
2019-01-10 16:46 bugmaster Test case number => bugs/vis/bug30434
2019-01-10 17:04 bugmaster Note Added: 0081725
2019-01-10 17:04 bugmaster Status reviewed => tested
2019-01-12 14:34 bugmaster Changeset attached => occt master 0e3025bc
2019-01-12 14:34 bugmaster Status tested => verified
2019-01-12 14:34 bugmaster Resolution open => fixed
2019-01-12 14:42 git Note Added: 0081763
2019-01-12 14:42 git Note Added: 0081764
2019-02-12 09:40 kgv Relationship added parent of 0030494